Skip to main content
PATCH
/
organizations
/
users
/
{user_id}
Update User
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/organizations/users/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "account_permissions": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role_id": "<string>"
    }
  ],
  "account_group_permissions": [
    {
      "account_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role_id": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Updates the first or last name of an existing user.

Authorizations

PUBLIC-API-KEY
string
header
default:<Your PUBLIC-API-KEY>
required
PRIVATE-SECRET-KEY
string
header
default:<Your PRIVATE-SECRET-KEY>
required

Path Parameters

user_id
string<uuid>
required

User UUID.

Body

application/json
first_name
string

First name.

last_name
string

Last name.

Response

200 - application/json

OK

id
string<uuid>
email
string
first_name
string
last_name
string
account_permissions
object[]
account_group_permissions
object[]
created_at
string<date-time>
updated_at
string<date-time>